[19.04 FEAT] upgrade binutils >=2.32

Bug #1803998 reported by bugproxy on 2018-11-19
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
binutils (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Upgrade to new version of binutils >= 2.32
Available here: https://www.gnu.org/software/binutils/
LP will be updated, once available upstream!

bugproxy (bugproxy) on 2018-11-19
tags: added: architecture-s39064 bugnameltc-170917 severity-high targetmilestone-inin1904
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → binutils-s390x-cross (Ubuntu)
affects: binutils-s390x-cross (Ubuntu) → binutils (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
status: Triaged → Incomplete
Matthias Klose (doko) wrote :

2.32 is not yet released, and probably will only be released around the feature freeze for 19.04. Is anything needed for s390x? If not, I'd probably like to delay that for th 19.10 cylce, and likely 2.33.

Dimitri John Ledkov (xnox) wrote :

Do you have a list of specific commit ids / features / pull-requests that you would want to see included, or cherrypicked on top of v2.32?

summary: - [19.04 FEAT] upgrade binutils >=2.32
+ [19.10 FEAT] upgrade binutils >=2.32

------- Comment From <email address hidden> 2018-11-26 05:24 EDT-------
Changed target to 19.10. binutils 2.32 will not make it in the release cycel of 19.04

tags: added: targetmilestone-inin1910
removed: targetmilestone-inin1904
summary: - [19.10 FEAT] upgrade binutils >=2.32
+ [19.04 FEAT] upgrade binutils >=2.32
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-12-04 04:53 EDT-------
Seems to be that binutil 2.32 will make the GA End of January. Therefore moved to 19.04,, just in case....

tags: added: targetmilestone-inin1904
removed: targetmilestone-inin1910
Changed in binutils (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (frank-heimes) wrote :

Since binutils 2.32 landed in disco's release pocket in between:
binutils | 2.32-1ubuntu4 | disco | s390x
I'm changing the status of this ticket to Fix Released.

Changed in binutils (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-02-11 11:17 EDT-------
IBM bugzilla status -> Fix Released for disco

information type: Private → Public
tags: added: id-5bf307a3e162ca3fefea5ae0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers